Have a link to the parent(s) in the task editor

Reported by Lionel Dricot on 2009-01-14
114
This bug affects 18 people
Affects Status Importance Assigned to Milestone
Getting Things GNOME!
High
Parth Panchal

Bug Description

There should be a place in the TaskEditor that allows you to go to the parents of the actual task

Related branches

Lionel Dricot (ploum) on 2009-01-16
Changed in gtg:
importance: Undecided → Low
milestone: none → 0.1rc
status: New → Confirmed
Lionel Dricot (ploum) wrote :

I've no idea about this bug. any mockup ?

Lionel Dricot (ploum) on 2009-01-27
Changed in gtg:
importance: Low → High
Lionel Dricot (ploum) wrote :

cowardingly assigning it to you because I have no idea on what the UI should look like ;-)

Changed in gtg:
assignee: nobody → bertrand-rousseau

Ok, I'm fine with that

On Tue, Jan 27, 2009 at 11:56 PM, Lionel Dricot <email address hidden> wrote:
> cowardingly assigning it to you because I have no idea on what the UI
> should look like ;-)
>
> ** Changed in: gtg
> Assignee: (unassigned) => Bertrand Rousseau (bertrand-rousseau)
>
> --
> Have a link to the parent(s) in the task editor
> https://bugs.launchpad.net/bugs/316922
> You received this bug notification because you are a member of Gtg
> developers, which is the registrant for gtg.
>
> Status in Getting Things Gnome!: Confirmed
>
> Bug description:
> There should be a place in the TaskEditor that allows you to go to the parents of the actual task
>

--
Bertrand Rousseau
Place communale 1, 1450 Chastre, Belgium
e-mail : <email address hidden>
tel : +32 485 96 69 86

Lionel Dricot (ploum) wrote :

I have one idea : using the spatial nautilus model for parents : a button that open the parent would be on the bottom right. Maybe, it could, like spatial nautilus, opening a menu with the list of the ancestors. What do you think ?

Lionel Dricot (ploum) wrote :

Also, we might maybe delay this for a further release if the concept is not clear enough. (except if you have a clear idea of a solution)

No, I don't. This clearly not simple, we don't have any use case.
Besides, GTG allow for multiple parents. Moreover, the editor clearly
need to be globally rethought rather than being partly modified (I'm
thinking about the toolbar, the sidebar, and the text formatting).
Right now I'm not convinced that this functionality is a stopper for
GTG 0.1.

On Fri, Feb 27, 2009 at 2:52 PM, Lionel Dricot <email address hidden> wrote:
> Also, we might maybe delay this for a further release if the concept is
> not clear enough. (except if you have a clear idea of a solution)
>
> --
> Have a link to the parent(s) in the task editor
> https://bugs.launchpad.net/bugs/316922
> You received this bug notification because you are a member of Gtg
> developers, which is the registrant for gtg.
>
> Status in Getting Things Gnome!: Confirmed
>
> Bug description:
> There should be a place in the TaskEditor that allows you to go to the parents of the actual task
>

--
Bertrand Rousseau
Place communale 1, 1450 Chastre, Belgium
e-mail : <email address hidden>
tel : +32 485 96 69 86

Lionel Dricot (ploum) on 2009-02-27
Changed in gtg:
milestone: 0.1 → none
Ben Lau (benlau) wrote :

I would like to give an use-case of this features:

"
Inside the work view mode, you won't see the parent of the tasks. In case that you have two tasks with the same name , or the summary of the task is too brief that you can't remember what it mean. You may need to check its parent for more information. Without the "link to parent" button , user need to close work view mode , and search the task again.
"

For the implementation , I would suggest to add a gtk.MenuToolButton next to the "Insert Tag" button.

1. User press on the popup menu toggle button , it will show all the parents.
2. User press on the button, it will show the first parent encountered.

Lionel Dricot (ploum) wrote :

ben > What do you think about the idea of having the parents in the bottom left like Nautilus spatial has ? You see immediatly the first parent and clicking on it show you the whole structure.

Pititjo (jonathan-barnoud) wrote :

I think the nautilus spacial mode solution is a good one. Perhaps not the better but it can solve the problem while we figure out another solution.

I have the same problem as Ben Lau and this makes the work view unusable. But I think it's off-topic.

Dominik Mayer (dominik-mayer) wrote :

It would be good if it was also able to select/add a new parent. Example:

I might enter "buy tools" and then think about other tasks related to the project and so create the parent "fix car".

Peter Gervai (grin) wrote :

By the way for me the first natural thing was to click on the title of the subtask to get the parent(s) just as some wiki systems do: "give me the references to this title".

Lionel Dricot (ploum) on 2009-12-04
Changed in gtg:
milestone: none → 0.3
Paul Kishimoto (khaeru) wrote :

How about a line *above* the task title, with the parent task names as hyperlinks? These could be in a smaller font size, like the tags line.

Bryce Harrington (bryce) wrote :

Adding my ditto for needing this functionality.

A use case: I need to do a big project, but the first task is to figure out what the tasks are:

- Big Project
   - Plan tasks for Big Project

The planning subtask will show in my work view. When I do that task, what I want to do is write an itemized list of tasks, and set them as subtasks off of "Big Project". However, getting to "Big Project" is convoluted - I have to go to taskbrowser, untoggle Work View, scroll through all my tasks to find "Big Project", and click on it.

For UI, I was thinking just a simple back-arrow on the top left of the task editor (or maybe an up-arrow) would suffice. If there are more than one parent for the task (a rare situation for me), then this arrow button could display a list of the parent tasks for the user to select from.

A. S. Popov (cyberone-mail) wrote :

Also a keyboard shortcut to the parent task or to the "Choose parent" dialog could be helpful

Lionel Dricot (ploum) on 2010-05-25
Changed in gtg:
milestone: 0.3 → 0.4
Lionel Dricot (ploum) wrote :

Can we imagine a path bar like the new one in nautilus elementary ?

http://birtakimolaylar.files.wordpress.com/2010/02/elementary_nautilus_by_danrabbit.png

That would be nice but I've no idea on how to do it.

A. S. Popov (cyberone-mail) wrote :

I don't this drawing an elementary-like bar at the top or bottom is useful. Usually I need a parent task to assign dates to other subtasks, so maybe a button "Go to parent" with a keyboard shortcut would be more helpful?

tags: added: toreview
Changed in gtg:
status: Confirmed → In Progress
Luca Invernizzi (invernizzi) wrote :

Lionel, a breadcrumb-like bar is not designed to support multiple parents (at least, I can see a way to do that, please correct me if I'm blind).
Anyway, as a future reference, a nice breadcrumb bar is available in the Software Center codebase.
Running this file gives a beautiful example:
 http://bazaar.launchpad.net/~software-store-developers/software-center/trunk/view/head:/softwarecenter/view/widgets/pathbar_gtk_atk.py

Changed in gtg:
assignee: Bertrand Rousseau (bertrand-rousseau) → Izidor Matušov (izidor)
Lionel Dricot (ploum) on 2011-08-09
Changed in gtg:
status: In Progress → Confirmed
Izidor Matušov (izidor) on 2011-08-12
Changed in gtg:
milestone: 0.4 → 0.3
Izidor Matušov (izidor) on 2011-11-28
Changed in gtg:
assignee: Izidor Matušov (izidor) → nobody
Izidor Matušov (izidor) on 2012-02-13
Changed in gtg:
milestone: 0.3 → 0.3.2

I'm in favor of #12. Keep it simple and consistent. Show parents in the same way you show sub-tasks - with links inside the task editor. Use arrow in different direction "<-" instead of "->" to designate parents in combination with a different indent.
Adding buttons, panels, etc. will add unnecessary bells and whistles.

Use case: I'm planning a project to prepare a documentation packet where I have to collect a bunch of information from different people (e.g. production manager Mike). Planning goes like this:

- prepare product qualification docs for customer xxx
-- product manufacturing documentation
--- fab documentation
---- meet with Mike
----- schedule meeting with Mike
--- assembly documentation
---- meet with Mike
----- schedule meeting with Mike
--- production test documentation
---- meet with Mike
----- schedule meeting with Mike

"meet with Mike" has 3 parents. I need to be able to click on "meet with Mike" and see a list of what I need to discuss.

Same for shopping lists. According to GTG philosophy, "go to store x" should be the last sub-task after a bunch of "buy XX" tasks.

meet with Mike task should have a list of links to parents and children like this:
<- fab documentation
<- assembly documentation
<- production test documentation
   -> schedule meeting with Mike

Consistent and easy. Alternatively, "/" can be used to designate children and "\" - to designate parents. Placing the title between parents and children makes sense.

Adding a "+" to expand each item to trace the tree further would be nice too:

<-+fab documentation

would become

<-+ product manufacturing documentation
    <- fab documentation

etc.

Any tree can be inverted. If we start from a given node, it's easy to list children and children of children in one direction and, identically, parents and parents of parents in the other direction, if we do not attempt to list other parents of children.

Make sure you catch circular relationships.

I hope, I'm not too late with these ideas.

Lionel Dricot (ploum) wrote :

I only see one problem with that: what happen if you edit the parents ? It's just text after all. This is quite hard to handle (it's already very hard for subtasks and it looks even more complicated with parents).

That's why I envisionned a read-only way to display parents. (for example with a bar similar to the location bar in Nautilus)

Jay Cassano (cassano-jay) wrote :

I think the "location" like in Nautilus works fine, so long as you can
jump to the parent by clicking. Don't need to be able to edit the parent
title from the subtask screen I think.

On 06/27/2012 12:16 PM, Lionel Dricot wrote:
> I only see one problem with that: what happen if you edit the parents ?
> It's just text after all. This is quite hard to handle (it's already
> very hard for subtasks and it looks even more complicated with parents).
>
> That's why I envisionned a read-only way to display parents. (for
> example with a bar similar to the location bar in Nautilus)
>

A significant issue with current interface:

Currently, the only way to make an existing task a child of another existing task is to drag and drop. When the parent and the child are not on the same page in a long list, it's problematic. I have to narrow down the list of tasks on the screen to link tasks together. Also, linking to existing tasks vs. creating new tasks with duplicate names should be more explicit.

A dynamic drop-down box would be a great help. I like the interface for linking parent/children together in the mind-mapping software http://www.thebrain.com.

I envision the interface to work approximately like this:

- the user indicates intent to create a subtask/parent task/tag (either through a menu or by typing a cue character, such as "@" for tags.

- an entry field appears somewhere, the focus is shifted to the entry field

- the user starts typing the name of the subtask/parent task/tag

- GTG creates a dynamic drop-down menu which is narrowed down to matching choices - much like typing prediction software works.

- At any time, the user can select an entry from the menu and/or push "enter"

- If existing item is selected
   * if it's a tag, GTG should create a link to that tag. Tags are unique, as I understand.
   * if it's a parent or a subtask, GTG should ask whether to create a new parent/subtask or use the existing one and act according to the choice.

- If the entered text does not match any existing task, GTG creates a new parent/subtask and links it to the existing task.

I'm OK with read-only links to subtasks/parents.

Just suggestions. There are, probably, multiple ways of doing this.

Izidor Matušov (izidor) wrote :

Hi Arkady,

there is somewhere feature request for "code completion" in the task
editor. However, it should be easily done from keyboard without touching
keyboard.

How would you want to specify parent from a task? We don't have that
concept in GTG now...

Suggesting existing tasks as subtasks might be a way how to facilitate
usage of tasks with multiple parents.

Izidor Matušov (izidor) on 2012-07-18
Changed in gtg:
milestone: 0.3.2 → 0.4
Changed in gtg:
assignee: nobody → Parth Panchal (parthpanchl)
Changed in gtg:
status: Confirmed → In Progress
Changed in gtg:
status: In Progress → Fix Committed
Nimit Shah (nimit-svnit) wrote :

Hi Parth,
A bug is set to "Fix committed" only once the changes have been committed to the main/trunk branch of the codebase. In your case, it is now.

Changed in gtg:
milestone: 0.4 → 0.3.2
Parth Panchal (parthpanchl) wrote :

Thanks Nimit,
From now on, I'll act accordingly.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers